Category: System Application Estimated time: 0.00 hour

Target version: UnSprintable   
Description

In order to add a nagios functionality check on smaph app, it's needed to provide a checking url.

Could you provide that url, please?

Otherwise we'll install only the standard checks expected for the smartgears container.

Related issues:

Related to D4Science Infrastructure - Task #6297: Smaph webapp: Nagios check ... Closed Jan 04, 2017

History

#1 - Dec 19, 2016 12:40 PM - Marco Cornolti

Hi! To check that the whole pipeline of SMAPH is working, we need to make a query providing a Google API key, that I'd rather not give you in public

and must be kept kinda secret. Is there any way I can pass you the key securely?

Moreover, the Google API will only work if called at most 30 times a day. How often are you planning on querying it?

#2 - Dec 19, 2016 01:02 PM - Pasquale Pagano

Marco Cornolti wrote:

Hi! To check that the whole pipeline of SMAPH is working, we need to make a query providing a Google API key, that I'd rather not give you in

public and must be kept kinda secret. Is there any way I can pass you the key securely?

 The key can be stored in the infrastructure Information System. It will encrypted with the sym-key of the VRE and your application can read at runtime

by querying the IS. @roberto.cirillo@isti.cnr.it can provide you the code to discover and access the resource from the IS. 

Moreover, the Google API will only work if called at most 30 times a day. How often are you planning on querying it?

We can run one per hour and this should be fine according to the Google API policies. 

#3 - Dec 19, 2016 04:00 PM - Roberto Cirillo

Hi Marco, for sharing the password you could access to our workspace:

https://services.d4science.org/group/d4science-services-gateway/workspace

create a folder and share the folder (right click on the folder and click "share") with me (Roberto Cirillo) and Andrea (Andrea Dell'Amico). After that,

you should upload a text file containing the password into the shared folder.

When the file will be uploaded,  right click on the shared folder, press on "getLInk" option and copy the link generated to this ticket.

In this way only me and Andrea can access and download the file.

#4 - Dec 19, 2016 04:27 PM - Marco Cornolti

Hi! I have uplodaded the URI of the test call to SMAPH. You might need to remove the gcube-token parameter. Link: https://goo.gl/OZ10mR

Cheers,

Marco

#5 - Dec 19, 2016 04:51 PM - Roberto Cirillo

- Assignee changed from Marco Cornolti to Andrea Dell'Amico

Thanks Marco. I'm going to assign this ticket to Andrea that is in charge for this activity.

#6 - Dec 21, 2016 03:18 PM - Andrea Dell'Amico
- Status changed from New to In Progress

- % Done changed from 0 to 100

I've configured the check to run every two hours, to be on the safe side.

There's the standard smartgears check too, so if tomcat is not working we will receive an alert from it.

#7 - Dec 21, 2016 03:23 PM - Andrea Dell'Amico

without the token is failing with 401 Unauthorized

#8 - Dec 21, 2016 03:31 PM - Andrea Dell'Amico

From the command line it works when I add your token.

@lucio.lelii@isti.cnr.it the URL invocation fails the authorization when we add our 'guest token' to the URL invocation. Can you provide a token with

the correct permissions for SMAPH?

#9 - Dec 21, 2016 03:41 PM - Lucio Lelii

I have created an application token for nagios with nagios-check Id in SMAPH, I will give it to you via Skype.

#10 - Dec 21, 2016 03:49 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

It's working, thanks. Now we need to wait the 17:21 for the next check run from nagios.

#11 - Dec 21, 2016 07:10 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

The check is working.

#12 - Jan 04, 2017 02:53 PM - Roberto Cirillo

- Related to Task #6297: Smaph webapp: Nagios check fails added
